%define upstream_name    XML-SAX-Expat
%define upstream_version 0.51

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	3
Summary:	SAX2 Driver for perl Expat Module


License:	Artistic or GPL+
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/XML/XML-SAX-Expat-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(XML::SAX::Base)
BuildRequires:	perl(XML::Parser)         
BuildRequires:	perl(XML::NamespaceSupport)
BuildRequires:	perl(XML::SAX)            
BuildArch:	noarch

%description
An implementation of a SAX2 driver sitting on top of Expat (XML::Parser). 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# some autoregistration stufif, moved to %post
perl -pi -e 'm/^sub MY/ and exit' Makefile.PL
chmod -x Changes

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std
chmod -x %{buildroot}%{perl_vendorlib}/XML/SAX/Expat.pm

%post 
# directly taken from Makefile
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::SAX::Expat))->save_parsers()"

%files
%doc Changes
%{perl_vendorlib}/XML
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.510.0-3
+ Revision: 97f9937
- MassBuild#440: Increase release tag


